Loading...
Searching...
No Matches
AVDOVIDmData Struct Reference

Dolby Vision metadata extension block. More...

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | level
union { |
AVDOVIDmLevel1 l1 |
AVDOVIDmLevel2 l2 |
AVDOVIDmLevel3 l3 |
AVDOVIDmLevel4 l4 |
AVDOVIDmLevel5 l5 |
AVDOVIDmLevel6 l6 |
AVDOVIDmLevel8 l8 |
AVDOVIDmLevel9 l9 |
AVDOVIDmLevel10 l10 |
AVDOVIDmLevel11 l11 |
AVDOVIDmLevel254 l254 |
AVDOVIDmLevel255 l255 |
}; |  |

## Detailed Description

Dolby Vision metadata extension block.

Dynamic extension blocks may change from frame to frame, while static blocks are constant throughout the entire sequence.

Note
  sizeof(AVDOVIDmData) is not part of the public API.

Definition at line 310 of file dovi_meta.h.

## Field Documentation

## level

uint8_t AVDOVIDmData::level

Definition at line 311 of file dovi_meta.h.

## l1

AVDOVIDmLevel1 AVDOVIDmData::l1

Definition at line 313 of file dovi_meta.h.

## l2

AVDOVIDmLevel2 AVDOVIDmData::l2

Definition at line 314 of file dovi_meta.h.

## l3

AVDOVIDmLevel3 AVDOVIDmData::l3

Definition at line 315 of file dovi_meta.h.

## l4

AVDOVIDmLevel4 AVDOVIDmData::l4

Definition at line 316 of file dovi_meta.h.

## l5

AVDOVIDmLevel5 AVDOVIDmData::l5

Definition at line 317 of file dovi_meta.h.

## l6

AVDOVIDmLevel6 AVDOVIDmData::l6

Definition at line 318 of file dovi_meta.h.

## l8

AVDOVIDmLevel8 AVDOVIDmData::l8

Definition at line 320 of file dovi_meta.h.

## l9

AVDOVIDmLevel9 AVDOVIDmData::l9

Definition at line 321 of file dovi_meta.h.

## l10

AVDOVIDmLevel10 AVDOVIDmData::l10

Definition at line 322 of file dovi_meta.h.

## l11

AVDOVIDmLevel11 AVDOVIDmData::l11

Definition at line 323 of file dovi_meta.h.

## l254

AVDOVIDmLevel254 AVDOVIDmData::l254

Definition at line 324 of file dovi_meta.h.

## l255

AVDOVIDmLevel255 AVDOVIDmData::l255

Definition at line 325 of file dovi_meta.h.

## [union]

union { ... } AVDOVIDmData

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h